Bug 238925 - Keyboard lights not correct in F7 Test4 (also Test3)
Summary: Keyboard lights not correct in F7 Test4 (also Test3)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-03 21:10 UTC by Gerry Tool
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 21:18:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerry Tool 2007-05-03 21:10:54 UTC
Description of problem:
While in F7T3 or T4, all three of my keyboard LEDs are constantly lit.  So, it
is impossible to tell whether NumLock and CapsLock are actually on without
typing something.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot to F7T4
2.Observe keyboard lights
3.
  
Actual results:
All lights are on (see variations below)

Expected results:
Lights for Numlock and Capslock should indicate true state of these features

Additional info:
This keyboard works correctly in FC6, Ubuntu and Windows.  F7T2 behaved normally.
When I first boot in Test3, the NumLock light is on, but the keyboard is actually
in NumLock OFF.  When I press the NumLock key, all three lights come on
steady and the NumLock function is enabled.  Further operation of the
NumLock or CapsLock keys does toggle the function of the keyboard, but
the three lights stay on forever until reboot.

I opened a console session with Ctrl-Alt-F1 and the behavior there was
the same, so xorg may not be the correct component for this bug.

The keyboard described above is a new Dell USB keyboard (my computer is homebrew.) 
An old Logitech PS2 keyboard works correctly. 
A recent Belkin USB keyboard works differently.  In F7T3, none of its lights
function.  However when I plug it into the PS2 port through a USB to PS2
adapter, it works correctly in F7T3. (Have not retested this keyboard in F7T4)
The Dell USB keyboard will not function plugged into the PS2 port through the
adapter.

Comment 1 Gerry Tool 2007-05-04 00:08:11 UTC
Clarification:
At GDM login, only the Numlock light is on.  As the desktop appears, all 3
lights come on.  In Test4, Numlock is actually on at startup, contrary to how it
was in Test3.  The keyboard functions do toggle as one presses CapsLock or
Numlock, but all 3 lights stay on constantly.

Comment 2 Gerry Tool 2007-05-16 21:18:40 UTC
The keyboard lights now work correctly with the kernel released today.

[root@f7t4 ~]# uname -a
Linux f7t4.thetoolshed.us 2.6.21-1.3149.fc7 #1 SMP Fri May 11 12:12:11 EDT 2007
i686 athlon i386 GNU/Linux

Will close as rawhide.


Note You need to log in before you can comment on or make changes to this bug.